Tips for finding Knowledge Articles

  • - Enter just a few key words related to your question or problem
  • - Add Key words to refine your search as necessary
  • - Do not use punctuation
  • - Search is not case sensitive
  • - Avoid non-descriptive filler words like "how", "the", "what", etc.
  • - If you do not find what you are looking for the first time,reduce the number of key words you enter and try searching again.
  • - Minimum supported Internet Explorer version is IE9
Home  >
article

KB-2480: lslpp Reports 2 Versions of DirectAudit Co-existing After Upgrade.

Centrify DirectAudit ,  

12 April,16 at 11:10 AM

Applies to: Centrify DirectAudit version 2.0.2 on all AIX platforms

Problem:

After upgrading DirectAudit, the output of:
 
lslpp -l CentrifyDA.core 
 
..shows both the current version and previous version co-existing together. Is there any reason for this?
 
linux50>root>/root/home/root >lslpp -f CentrifyDA.core
Fileset File
----------------------------------------------------------------------------
Path: /usr/lib/objrepos
CentrifyDA.core 2.0.1.153
/usr/bin/dadiag
/usr/share/man/man1/dastart.1
/usr/sbin/dad
/usr/bin/cdash
/usr/share/man/man1/dadiag.1
/etc/centrifyda/upgradeconf.conf
/usr/share/man/man1/dadebug.1
/usr/share/man/man1/dastop.1
/usr/sbin/dadebug
/usr/share/man/man1/dad.1
/usr/sbin/dareload
/etc/centrifyda
/usr/share/centrifydc/libexec/statsrc
/usr/sbin/dastop
/usr/bin/dashellfix.sh
/usr/share/man/man1/dacontrol.1
/usr/share/centrifydc/mappers/machine/DirectAudit.pl
/usr/sbin/dacontrol
/usr/bin/dastart
/usr/share/centrifydc/bin/cdash
/usr/share/man/man1/dareload.1
/usr/share/man/man1/dashellfix.1
/usr/share/man/man1/dainfo.1
/etc/centrifyda/centrifyda.conf
/usr/bin/dainfo
/usr/share/man/man8/cdash.8
/usr/share/centrifydc/lib/DA/gcclib/pthread/libgcc_s.a
/usr/share/centrifydc/lib/DA/gcclib/pthread
/usr/share/centrifydc/lib/
/usr/share/centrifydc/lib/DA/gcclib/libstdc++.a
/usr/share/centrifydc/lib/DA/gcclib/libgcc_s.a
/usr/share/centrifydc/lib/DA/gcclib
/usr/share/centrifydc/lib/DA/gcclib/pthread/libstdc++.a
CentrifyDA.core 2.0.2.184
/usr/bin/dadiag
/usr/share/man/man1/dastart.1
/usr/sbin/dad
/usr/bin/cdash
/usr/share/man/man1/dadiag.1
/etc/centrifyda/upgradeconf.conf
/usr/share/man/man1/dadebug.1
/usr/share/man/man1/dastop.1
/usr/sbin/dadebug
/usr/share/man/man1/dad.1
/usr/sbin/dareload
/etc/centrifyda
/usr/share/centrifydc/libexec/statsrc
/usr/sbin/dastop
/usr/bin/dashellfix.sh
/usr/share/man/man1/dacontrol.1
/usr/share/centrifydc/mappers/machine/DirectAudit.pl
/usr/sbin/dacontrol
/usr/bin/dastart
/usr/share/centrifydc/bin/cdash
/usr/share/man/man1/dareload.1
/usr/share/man/man1/dashellfix.1
/usr/share/man/man1/dainfo.1
/etc/centrifyda/centrifyda.conf
/usr/bin/dainfo
/usr/share/man/man8/cdash.8
/usr/share/centrifydc/lib/DA/gcclib/pthread/libgcc_s.a
/usr/share/centrifydc/lib/DA/gcclib/pthread
/usr/share/centrifydc/lib/
/usr/share/centrifydc/lib/DA/gcclib/libstdc++.a
/usr/share/centrifydc/lib/DA/gcclib/libgcc_s.a
/usr/share/centrifydc/lib/DA/gcclib
/usr/share/centrifydc/lib/DA/gcclib/pthread/libstdc++.a


Cause:

Upgrading without disabling DirectAudit auditing leaves the DirectAudit package in a broken state. The next attempt to upgrade DirectAudit may then cause confusion because there is no fully installed DirectAudit; so it does a "fresh install" instead of an upgrade. This causes lslpp to report 2 versions co-existing together.


Workaround:

Uninstall DirectAudit first and then reinstall it.


Resolution:

This is fixed in Centrify DirectAudit version 2.1.0 and above. 

Still have questions? Click here to log a technical support case, or collaborate with your peers in Centrify's Online Community.